


seed_conc = 40e-12;
num_tubes = 1000;
% Times are in hours
 all_times = [2,5,10,25];
% all_times = [25];
%k_join = 5.7e5
% k_join = 35000;
  k_join = 0;
 delta_G = -10.9
 R = 0.00198;
 T = 273+32;
 k_off = 5.7e5*exp(delta_G/(R*T))
% k_per_row_scission = 5e-6*k_off
 k_per_row_scission = 0;
for i=1:size(all_times,2)
  % No joining or scission
    [highest_row_complete,num_tubes_all] = grow_nucleated_tube_distribution_with_unnuc(all_times(i), ...
						  seed_conc, ...
						  num_tubes,k_join,k_per_row_scission);
    num_tubes_all
%    graph_name = ['seeded_hist_' num2str(all_times(i)) '_' ...
%		 'nuc_j_s_2e-5off.pdf']
    graph_name = ['seeded_hist_' num2str(all_times(i)) '_' ...
		 'nuc_no_j_no_s.pdf']
    figure(2)
    long_enough_tubes = find(highest_row_complete*14.3/1000 > 0.5);
    hist(highest_row_complete(long_enough_tubes)*14.3/1000,0.5:0.5: ...
	 15)
    axis([0 15 0 num_tubes_all]);
    %if num_tubes > 0
    %  hist(highest_row_complete(1:num_tubes)*14.3/156,0:1:140)    
    %end
    %title(['Seeded nanotube length dist. after ' num2str(time/3600) ' hours'],...
    %	  'FontSize',20);
    % xlabel('Length (pixels)','FontSize',18);
    % ylabel('Number of tubes','FontSize',18);
    %set(gca,'FontSize',18);
    a=findobj(gcf);
  
    allaxes=findall(a,'Type','axes');
    alllines=findall(a,'Type','line');
    alltext=findall(a,'Type','text');
    allbars=findall(a,'Type','patch');
    
    set(allbars,'Facecolor','black','EdgeColor','w')
    
    set(allaxes,'FontName','Arial','FontWeight','normal','LineWidth',6,...
		'FontSize',40);
    set(alllines,'Linewidth',5);
    set(alltext,'FontName','Arial','FontWeight','normal','FontSize',35);
    print (gcf,'-dpdf',graph_name)
    row_name = ['seeded_hist_' num2str(all_times(i)) '_' ...
		'nuc_no_j_no_s.mat']
    save (row_name,...
	  'highest_row_complete');
end

